## helma.doc
Class DocComparator

    java.lang.Object
      helma.doc.DocComparator

All Implemented Interfaces:
  java.util.Comparator

    public class DocComparator

extends java.lang.Object
implements java.util.Comparator

Field Summary
`static int` `BY_NAME`
`static int` `BY_TYPE`

Constructor Summary
`DocComparator(DocElement docEl)` Creates a new DocComparator object.
`DocComparator(int mode, DocElement docEl)` Creates a new DocComparator object.

Method Summary
`int` `compare(java.lang.Object obj1, java.lang.Object obj2)`
`boolean` `equals(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BY_TYPE

    public static final int BY_TYPE

See Also:
  Constant Field Values

### BY_NAME

    public static final int BY_NAME

See Also:
  Constant Field Values

Constructor Detail

### DocComparator

    public DocComparator(int mode,
                         DocElement docEl)

  Creates a new DocComparator object.

  Parameters:
    `mode` - ...
    `docEl` - ...

### DocComparator

    public DocComparator(DocElement docEl)

  Creates a new DocComparator object.

  Parameters:
    `docEl` - ...

Method Detail

### compare

    public int compare(java.lang.Object obj1,
                       java.lang.Object obj2)

  Specified by:
    `compare` in interface `java.util.Comparator`
  Parameters:
    `obj1` - ...
    `obj2` - ...
  Returns:
    ...

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Comparator`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - ...
  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.